# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%define section free

Name:           sac
Version:        1.3
Release:	7%{?dist}
Epoch:          0
Summary:        Java standard interface for CSS parser
License:        W3C
Group:          Development/Java
URL:            http://www.w3.org/Style/CSS/SAC/
Source0:        http://www.w3.org/2002/06/sacjava-1.3.zip
Source1:        sac-build.xml
Source2:        http://mirrors.dotsrc.org/maven2/org/w3c/css/sac/1.3/sac-1.3.pom
Source3:        sac-MANIFEST.MF
Requires(post): jpackage-utils >= 0:1.7.3
Requires(postun): jpackage-utils >= 0:1.7.3
BuildRequires:  ant >= 0:1.6.5
BuildRequires:  jpackage-utils >= 0:1.7.3
BuildRequires:  zip
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SAC is a standard interface for CSS parser and supposed to work with CSS1,
CSS2, CSS3 (currently under development) and other CSS derived languages.

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
%{summary}.

%prep
%setup -q
cp -p %{SOURCE1} build.xml

# correct silly permissions
chmod -R go=u-w *

# remove all binary libs
find . -name "*.jar" | xargs -t rm

mkdir -p META-INF
cp -p %{SOURCE3} META-INF/MANIFEST.MF

%build
export OPT_JAR_LIST=:
export CLASSPATH=
%{ant} jar javadoc

touch META-INF/MANIFEST.MF
zip -u build/lib/sac.jar META-INF/MANIFEST.MF

%install
rm -rf %{buildroot}

# jar
mkdir -p %{buildroot}%{_javadir}
cp -p build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# poms and depmap frags
mkdir -p %{buildroot}%{_datadir}/maven2/poms
cp -p %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP-sac.pom
%add_to_maven_depmap org.w3c.css sac %{version} JPP %{name}

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* %{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%clean
rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%doc COPYRIGHT.html
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_datadir}/maven2/poms/JPP-sac.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Sat Jan 09 2010 Will Tatam <will.tatam@red61.com> 1.3-7
- Auto rebuild for JPackage 6 in centos5 mock

* Wed Sep 30 2009 David Walluck <dwalluck@redhat.com> 0:1.3-6
- fix Release

* Thu Sep 17 2009 David Walluck <dwalluck@redhat.com> 0:1.3-5
- add OSGi manifest from Fedora

* Fri Dec 19 2008 Ralph Apel <r.apel@r-apel.de> 0:1.3-4.jpp5
- Build with java5
- Add poms and depmap frags

* Fri Sep 03 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-3jpp
- Rebuild with Ant 1.6.2

* Tue May 06 2003 David Walluck <david@anti-microsoft.org> 0:1.3-2jpp
- update for JPackage 1.5

* Thu Jul 11 2002 Ville Skyttä <ville.skytta at iki.fi> 1.3-1jpp
- Update to 1.3.
- Use sed instead of bash 2 extension when symlinking jars during build.
- Add Distribution tag, fix URL, tweak Summary and description.

* Wed Feb 06 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.2-1jpp 
- first jpp release
